# Popcorn

Send simple emails and text messages from one API using [Popcorn Notify](https://popcornnotify.com/)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'popcorn_notify'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install popcorn_notify

## Usage

```ruby
require 'popcorn'

Popcorn.notify('5555555555', 'New user sign up')

Popcorn.notify('team@popcornnotify.com', 'Memory exceeded...', { subject: 'Staging Error' })

Popcorn.notify(['5554259000', 'dave@popcornnotify.com'], "I'm sorry, Dave. I'm afraid I can't do that.")
```

## Configuration

### Environment
```sh
export POPCORNNOTIFY_API_KEY="abc123456"
```

### Inline
```ruby
Popcorn.notify('...', '...', { api_key: 'abc123456', verbose: true })
```

### Rails
```ruby
# config/initializers/popcorn.rb

Popcorn.configure do |config|
  config.api_key = 'abc123456'
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/cristian-rivera/popcorn. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Popcorn project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/cristian-rivera/popcorn/blob/master/CODE_OF_CONDUCT.md).
